Bug 40079 - [4.5 Regression] Revision 147294 caused extra failures
Summary: [4.5 Regression] Revision 147294 caused extra failures
Status: RESOLVED FIXED
Alias: None
Product: gcc
Classification: Unclassified
Component: middle-end (show other bugs)
Version: 4.5.0
: P2 normal
Target Milestone: 4.5.0
Assignee: Not yet assigned to anyone
URL:
Keywords: wrong-code
Depends on:
Blocks:
 
Reported: 2009-05-09 02:46 UTC by H.J. Lu
Modified: 2009-05-29 00:02 UTC (History)
3 users (show)

See Also:
Host:
Target:
Build:
Known to work:
Known to fail:
Last reconfirmed: 2009-05-09 23:02:55


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description H.J. Lu 2009-05-09 02:46:34 UTC
On Linux/ia32, revision 147294:

http://gcc.gnu.org/ml/gcc-cvs/2009-05/msg00268.html

caused

FAIL: /export/gnu/import/svn/gcc-test/bld/i686-pc-linux-gnu/libjava/testsuite/TestLeak.exe execution - /export/gnu/import/svn/gcc-test/bld/i686-pc-linux-gnu/libjava/testsuite/TestLeak.exe
FAIL: g++.dg/opt/thunk3.C (test for excess errors)
Comment 1 Hans-Peter Nilsson 2009-05-09 23:02:55 UTC
Seen for cris-elf too.
Comment 2 Richard Biener 2009-05-21 10:49:54 UTC
Only

FAIL:
/export/gnu/import/svn/gcc-test/bld/i686-pc-linux-gnu/libjava/testsuite/TestLeak.exe
execution -
/export/gnu/import/svn/gcc-test/bld/i686-pc-linux-gnu/libjava/testsuite/TestLeak.exe

is still present.
Comment 3 H.J. Lu 2009-05-29 00:02:23 UTC
Fixed as of revision 147806.